%define majver %(echo %version | cut -d. -f1-2)
Name:          libhandy
Version:       1.8.3
Release:       1mamba
Summary:       A library full of GTK+ widgets for mobile phones
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://source.puri.sm/Librem5/libhandy
Source:        http://ftp.gnome.org/pub/gnome/sources/libhandy/%{majver}/libhandy-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glade-devel
BuildRequires: glibc-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libfribidi-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libpango-devel
## AUTOBUILDREQ-END
BuildRequires: glade-devel >= 3.38.2

%description
A library full of GTK+ widgets for mobile phones.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libhandy-1.so.*
%{_libdir}/glade/modules/libglade-handy-1.so
%{_libdir}/girepository-1.0/Handy-1.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/handy-1-demo
%dir %{_includedir}/libhandy-1
%{_includedir}/libhandy-1/*.h
%{_libdir}/libhandy-1.so
%{_libdir}/pkgconfig/libhandy-1.pc
%{_datadir}/gir-1.0/Handy-1.gir
%{_datadir}/glade/catalogs/libhandy-1.xml
%{_datadir}/vala/vapi/libhandy-1.deps
%{_datadir}/vala/vapi/libhandy-1.vapi
%doc README.md

%changelog
* Fri Feb 09 2024 Automatic Build System <autodist@openmamba.org> 1.8.3-1mamba
- automatic version update by autodist

* Sun Mar 05 2023 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Thu Feb 02 2023 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Fri Sep 16 2022 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Mon Apr 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.2-2mamba
- rebuilt with glade 3.38.2

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Fri Nov 12 2021 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Mon Sep 06 2021 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Mon Jun 21 2021 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Tue Apr 27 2021 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Wed Apr 14 2021 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Sat Mar 13 2021 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Fri Feb 19 2021 Automatic Build System <autodist@mambasoft.it> 1.1.90-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Fri Nov 13 2020 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Mon Nov 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- update to 1.0.1

* Sun Nov 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.80.0-1mamba
- update to 0.80.0

* Mon Mar 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.13-1mamba
- package created using the webbuild interface
